Package org.jfree.report.modules.factories.data.sql

# Class SQLDataFactoryReadHandler

java.lang.Object
org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
org.jfree.report.modules.factories.data.sql.SQLDataFactoryReadHandler

All Implemented Interfaces:
  `DataFactoryReadHandler`, `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`

public class SQLDataFactoryReadHandler extends org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler implements DataFactoryReadHandler
Creation-Date: 07.04.2006, 17:47:53

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`SQLDataFactoryReadHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doneParsing()`
Done parsing.
`ReportDataFactory`
`getDataFactory()`
`protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
`getHandlerForChild(String uri, String tagName, Attributes atts)`
Returns the handler for a child element.
`Object`
`getObject()`
Returns the object for this element or null, if this element does not create an object.

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

`characters, deriveParseParameters, endElement, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement, startParsing`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

`characters, endElement, init, startElement`

## Constructor Details

### SQLDataFactoryReadHandler

public SQLDataFactoryReadHandler()

## Method Details

### getHandlerForChild

protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler getHandlerForChild(String uri, String tagName, Attributes atts) throws SAXException
Returns the handler for a child element.

Overrides:
  `getHandlerForChild` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
Parameters:
  `tagName` - the tag name.
  `atts` - the attributes.
Returns:
  the handler or null, if the tagname is invalid.
Throws:
  `SAXException` - if there is a parsing error.

### doneParsing

protected void doneParsing() throws SAXException
Done parsing.

Overrides:
  `doneParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
Throws:
  `SAXException` - if there is a parsing error.

### getObject

public Object getObject() throws SAXException
Returns the object for this element or null, if this element does not create an object.

Specified by:
  `getObject` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
Returns:
  the object.
Throws:
  `SAXException` - if there is a parsing error.

### getDataFactory

public ReportDataFactory getDataFactory()

Specified by:
  `getDataFactory` in interface `DataFactoryReadHandler`